rosdistro: 'noetic

  '
roslaunch:
  uris:
    host_10_0_3_5__32785: http://10.0.3.5:32785/
rosserial_python:
  baud: 250000
  port: /dev/versavis
rosversion: '1.16.0

  '
run_id: 8e4d9ef4-0c21-11ee-bd02-9352cdcbc1f7
serial_node:
  baud: 115200
  port: /dev/smb-power
simulation: false
tracking_camera:
  realsense2_camera:
    accel_fps: 0
    accel_frame_id: tracking_camera_accel_frame
    accel_optical_frame_id: tracking_camera_accel_optical_frame
    align_depth: false
    aligned_depth_to_color_frame_id: tracking_camera_aligned_depth_to_color_frame
    aligned_depth_to_fisheye1_frame_id: tracking_camera_aligned_depth_to_fisheye1_frame
    aligned_depth_to_fisheye2_frame_id: tracking_camera_aligned_depth_to_fisheye2_frame
    aligned_depth_to_fisheye_frame_id: tracking_camera_aligned_depth_to_fisheye_frame
    aligned_depth_to_infra1_frame_id: tracking_camera_aligned_depth_to_infra1_frame
    aligned_depth_to_infra2_frame_id: tracking_camera_aligned_depth_to_infra2_frame
    allow_no_texture_points: false
    base_frame_id: tracking_camera_link
    calib_odom_file: /home/robotx/catkin_workspaces/smb_dev/src/core/smb/config/tracking_camera_config.json
    clip_distance: -1.0
    color_fps: 30
    color_frame_id: tracking_camera_color_frame
    color_height: 480
    color_optical_frame_id: tracking_camera_color_optical_frame
    color_width: 640
    confidence_fps: 30
    confidence_height: 480
    confidence_width: 640
    depth_fps: 30
    depth_frame_id: tracking_camera_depth_frame
    depth_height: 480
    depth_optical_frame_id: tracking_camera_depth_optical_frame
    depth_width: 640
    device_type: t265
    enable_accel: true
    enable_color: true
    enable_confidence: true
    enable_depth: true
    enable_fisheye: false
    enable_fisheye1: false
    enable_fisheye2: false
    enable_gyro: true
    enable_infra: false
    enable_infra1: false
    enable_infra2: false
    enable_pointcloud: false
    enable_pose: true
    enable_sync: false
    filters: ''
    fisheye1_frame_id: tracking_camera_fisheye1_frame
    fisheye1_optical_frame_id: tracking_camera_fisheye1_optical_frame
    fisheye2_frame_id: tracking_camera_fisheye2_frame
    fisheye2_optical_frame_id: tracking_camera_fisheye2_optical_frame
    fisheye_fps: 30
    fisheye_frame_id: tracking_camera_fisheye_frame
    fisheye_height: 0
    fisheye_optical_frame_id: tracking_camera_fisheye_optical_frame
    fisheye_width: 0
    gyro_fps: 0
    gyro_frame_id: tracking_camera_gyro_frame
    gyro_optical_frame_id: tracking_camera_gyro_optical_frame
    imu_optical_frame_id: tracking_camera_imu_optical_frame
    infra1_frame_id: tracking_camera_infra1_frame
    infra1_optical_frame_id: tracking_camera_infra1_optical_frame
    infra2_frame_id: tracking_camera_infra2_frame
    infra2_optical_frame_id: tracking_camera_infra2_optical_frame
    infra_fps: 30
    infra_height: 480
    infra_rgb: false
    infra_width: 640
    initial_reset: false
    json_file_path: ''
    linear_accel_cov: 0.01
    odom_frame_id: tracking_camera_odom_frame
    ordered_pc: false
    pointcloud_texture_index: 0
    pointcloud_texture_stream: RS2_STREAM_COLOR
    pose_frame_id: tracking_camera_pose_frame
    pose_optical_frame_id: tracking_camera_pose_optical_frame
    publish_odom_tf: false
    publish_tf: false
    reconnect_timeout: 6.0
    rosbag_filename: ''
    serial_no: ''
    stereo_module:
      exposure:
        '1': 7500
        '2': 1
      gain:
        '1': 16
        '2': 16
    tf_publish_rate: 0.0
    topic_odom_in: /control/smb_diff_drive/odom
    unite_imu_method: linear_interpolation
    usb_port_id: ''
    wait_for_device_timeout: -1.0
  tracking_module:
    enable_mapping: false
    enable_pose_jumping: false
    enable_relocalization: false
versavis_imu_receiver:
  imu_acceleration_covariance: 0.043864908
  imu_accelerator_sensitivity: 0.000833
  imu_gyro_covariance: 6e-9
  imu_gyro_sensitivity: 0.04
  imu_pub_topic: /imu
  imu_sub_topic: /versavis/imu_micro
